<?php
/*
Plugin Name: ePayBank
Plugin URI: http://ePayBank.ir/plugins
Description: ePayBank getway for wordpress
Version: 1.2
Author: ePayBank developement team
Author URI: http://ePayBank.ir
License: GPL2
*/
	load_plugin_textdomain('ePayBank','wp-content/plugins/ePayBank/langs');

	include_once('inc/ePayBank.class.php');
	$ePayBank = new ePayBank;

	if(get_option('api')) {
		$ePayBank->api = get_option('api');
	}

	function ePayBank_menu() {
		if (function_exists('add_options_page')) {
			add_menu_page(__('ePayBank', 'ePayBank'), __('ePayBank', 'ePayBank'), 'manage_options', 'ePayBank/setting.php', 'ePayBank_menupage', plugin_dir_url( __FILE__ ).'/images/ePayBank_favicon.png');
			add_submenu_page('ePayBank/setting.php', __('تنظيمات درگاه ePayBank', 'ePayBank'), __('تنظيمات درگاه ePayBank', 'ePayBank'), 'manage_options', 'ePayBank/setting.php', 'ePayBank_menupage');
		}
	}
	add_action('admin_menu', 'ePayBank_menu');

	function ePayBank_menupage() {
		if (!current_user_can('manage_options')) {
			wp_die(__('You do not have sufficient permissions to access this page.', 'ePayBank'));
		}

		settings_fields('ePayBank_options');
		function register_ePayBank() {
			register_setting('ePayBank_options', 'api');
		}

		include_once('setting.php');
	}

	function ePayBank_form() {

			global $current_user, $ePayBank;
			include_once('inc/form.php');

			if($_POST['submit_payment']) {

				if($_POST['payer_name'] && $_POST['payer_price']) {

					$ePayBank->Price = $_POST['payer_price'];
					$ePayBank->ReturnPath = urlencode('http://' . $_SERVER['SERVER_NAME'] . $_SERVER['REQUEST_URI']);

					if($ePayBank->Request()) {

						switch($ePayBank->Request()) {

							case '-1':
								echo '<p class="error-payment">' . __('api ارسالی با نوع api تعریف شده در ePayBank سازگار نیست.', 'ePayBank') . '</p>';
								break;

							case '-2':
								echo '<p class="error-payment">' . __('صفحه برگشتی تعریف نشده یا خالی هست.', 'ePayBank') . '</p>';
								break;

							case '-3':
								echo '<p class="error-payment">' . __('کد پذیرنده عددی نیست.', 'ePayBank') . '</p>';
								break;

							case '-4':
								echo '<p class="error-payment">' . __(' آدرس آی پی معتبر نیست.', 'ePayBank') . '</p>';
								break;
							case '-5':
								echo '<p class="error-payment">' . __('مقدار وجه قیمت عددی نیست.', 'ePayBank') . '</p>';
								break;
							case '-6':
								echo '<p class="error-payment">' . __('نام بانک ارسالی معتبر نیست.', 'ePayBank') . '</p>';
								break;
							case '-7':
								echo '<p class="error-payment">' . __('مقدار وجه نباید کمتر از ۵۰۰۰ ریال باشد.', 'ePayBank') . '</p>';
								break;
						}
					} else {
						add_option('user_price_' . $current_user->ID, $_POST['payer_price']);
						update_option('user_price_' . $current_user->ID, $_POST['payer_price']);
					}
				} else {
					echo '<p class="error-payment">' . __('لطفا تمام فيلد هارا کامل کنيد', 'ePayBank') . '</p>';
				}
			}

			$ePayBank->Price = get_option('user_price_' . $current_user->ID);
            if($_POST['trans_id']){
			switch($ePayBank->Verify()) {

				case '-1':
								echo '<p class="error-payment">' . __('api ارسالی با نوع api تعریف شده در ePayBank سازگار نیست.', 'ePayBank') . '</p>';
								break;

							case '-2':
								echo '<p class="error-payment">' . __('صفحه برگشتی تعریف نشده یا خالی هست.', 'ePayBank') . '</p>';
								break;

							case '-3':
								echo '<p class="error-payment">' . __('کد پذیرنده عددی نیست.', 'ePayBank') . '</p>';
								break;

							case '-4':
								echo '<p class="error-payment">' . __(' آدرس آی پی معتبر نیست.', 'ePayBank') . '</p>';
								break;
							case '-5':
								echo '<p class="error-payment">' . __('مقدار وجه قیمت عددی نیست.', 'ePayBank') . '</p>';
								break;
							case '-6':
								echo '<p class="error-payment">' . __('نام بانک ارسالی معتبر نیست.', 'ePayBank') . '</p>';
								break;
							case '-7':
								echo '<p class="error-payment">' . __('مقدار وجه نباید کمتر از ۵۰۰۰ ریال باشد.', 'ePayBank') . '</p>';
								break;
							case '-36':
								echo '<p class="error-payment">' . __('پرداخت ناموفق.', 'ePayBank') . '</p>';
								break;

				case '-33':
					echo '<p class="success-payment">' . sprintf(__('تراکنش موفقيت آميز بود. <br /> شماره رهگيري: %s ', 'ePayBank'), $ePayBank->RefNumber) . '</p>';

					continue;
			}}

			delete_option('user_price_' . $current_user->ID);
	}
	
	add_shortcode('ePayBank', 'ePayBank_form');
	add_filter('widget_text', 'do_shortcode');
?>
